Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.ui.internal
Class ATestActivator

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              org.eclipse.amp.amf.testing.ui.internal.ATestActivator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class ATestActivator

extends org.eclipse.ui.plugin.AbstractUIPlugin

This class was generated. Customizations should only happen in a newly introduced subclass.

Field Summary

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`ATestActivator()`

Method Summary
`com.google.inject.Injector` | `getInjector(java.lang.String languageName)`
`static ATestActivator` | `getInstance()`
`protected com.google.inject.Module` | `getRuntimeModule(java.lang.String grammar)`
`protected com.google.inject.Module` | `getSharedStateModule()`
`protected com.google.inject.Module` | `getUiModule(java.lang.String grammar)`
`protected void` | `registerInjectorFor(java.lang.String language)`
`void` | `start(org.osgi.framework.BundleContext context)`
`void` | `stop(org.osgi.framework.BundleContext context)`

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ATestActivator

    public ATestActivator()

Method Detail

### getInjector

    public com.google.inject.Injector getInjector(java.lang.String languageName)

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`

### registerInjectorFor

    protected void registerInjectorFor(java.lang.String language)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`

### getInstance

    public static ATestActivator getInstance()

### getRuntimeModule

    protected com.google.inject.Module getRuntimeModule(java.lang.String grammar)

### getUiModule

    protected com.google.inject.Module getUiModule(java.lang.String grammar)

### getSharedStateModule

    protected com.google.inject.Module getSharedStateModule()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD